Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class ReferenceEntityGroupStoreFactory

    java.lang.Object
      org.jasig.portal.groups.ReferenceEntityGroupStoreFactory

All Implemented Interfaces:
  IEntityGroupStoreFactory

    public class ReferenceEntityGroupStoreFactory

extends java.lang.Object
implements IEntityGroupStoreFactory

Creates an instance of the reference `IEntityGroupStore`.

Version:
  $Revision: 1.5 $
Author:
  Dan Ellentuck

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ReferenceEntityGroupStoreFactory()` ReferenceGroupServiceFactory constructor.

Method Summary
`IEntityGroupStore` | `newGroupStore()` Return an instance of the group store implementation.
`IEntityGroupStore` | `newGroupStore(ComponentGroupServiceDescriptor svcDescriptor)` Return an instance of the group store implementation.
`IEntityGroupStore` | `newInstance()` Return an instance of the group store implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### ReferenceEntityGroupStoreFactory

    public ReferenceEntityGroupStoreFactory()

  ReferenceGroupServiceFactory constructor.

Method Detail

### newGroupStore

    public IEntityGroupStore newGroupStore()
                                    throws GroupsException

  Return an instance of the group store implementation.

  Specified by:
    `newGroupStore` in interface `IEntityGroupStoreFactory`
  Returns:
    IEntityGroupStore
  Throws:
    `GroupsException`

### newGroupStore

    public IEntityGroupStore newGroupStore(ComponentGroupServiceDescriptor svcDescriptor)
                                    throws GroupsException

  Return an instance of the group store implementation.

  Specified by:
    `newGroupStore` in interface `IEntityGroupStoreFactory`
  Returns:
    IEntityGroupStore
  Throws:
    `GroupsException`

### newInstance

    public IEntityGroupStore newInstance()
                                  throws GroupsException

  Return an instance of the group store implementation.

  Returns:
    IEntityGroupStore
  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD